Bug 28508 - Use "Invoice number" instead of "Invoice no" on the invoice search filter
Summary: Use "Invoice number" instead of "Invoice no" on the invoice search filter
Status: Passed QA
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-03 02:56 UTC by Aleisha Amohia
Modified: 2021-06-14 18:25 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 28508: Use "Invoice number" instead of "Invoice no" on the invoice search filter (5.71 KB, patch)
2021-06-09 11:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28508: Use "Invoice number" instead of "Invoice no" on the invoice search filter (5.75 KB, patch)
2021-06-10 15:08 UTC, Salman Ali
Details | Diff | Splinter Review
Bug 28508: Use "Invoice number" instead of "Invoice no" on the invoice search filter (5.84 KB, patch)
2021-06-14 18:25 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2021-06-03 02:56:29 UTC
There is not much benefit to using "no" instead of "number", and it makes it less translateable and understandable. This should be fixed in three places that I can see:

1. the search filter form
2. the results table column heading
3. when there are no results, there is text that says 'Search was:' and a label that says 'Invoice no.'
Comment 1 Owen Leonard 2021-06-09 11:11:06 UTC Comment hidden (obsolete)
Comment 2 Salman Ali 2021-06-10 15:08:54 UTC
Created attachment 121796 [details] [review]
Bug 28508: Use "Invoice number" instead of "Invoice no" on the invoice search filter

This patch corrects instances of the abbreviated phrase "Invoice no."
from the templates, making it "Invoice number." Also corrected: An
instance of "Bookseller" is replaced with "Vendor."

To test, apply the patch and confirm that the phrase is correct in these
cases:

- Acquisitions -> Invoices: Check the "Search filters" form in the
  left-hand sidebar.
  -> View an invoice: Check the label in the form.
- Acquisitions -> Vendor -> Receive shipments: Check the table of
  invoices.
- Acquisitions -> Orders search (in the search header) -> Advanced
  search: Check the labels in the form.

Signed-off-by: Salman Ali <salman@outaouais>
Comment 3 Tomás Cohen Arazi 2021-06-14 18:25:27 UTC
Created attachment 121921 [details] [review]
Bug 28508: Use "Invoice number" instead of "Invoice no" on the invoice search filter

This patch corrects instances of the abbreviated phrase "Invoice no."
from the templates, making it "Invoice number." Also corrected: An
instance of "Bookseller" is replaced with "Vendor."

To test, apply the patch and confirm that the phrase is correct in these
cases:

- Acquisitions -> Invoices: Check the "Search filters" form in the
  left-hand sidebar.
  -> View an invoice: Check the label in the form.
- Acquisitions -> Vendor -> Receive shipments: Check the table of
  invoices.
- Acquisitions -> Orders search (in the search header) -> Advanced
  search: Check the labels in the form.

Signed-off-by: Salman Ali <salman.ali@inLibro.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Note: I fixed Salman's SO line